/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <stdio.h>

#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/drivers/gpio.h>

static const struct device *pmic = DEVICE_DT_GET(DT_NODELABEL(npm1300_ek_pmic));
static const struct device *pmic_gpio = DEVICE_DT_GET(DT_NODELABEL(npm1300_ek_gpio));
static const struct device *ldsw = DEVICE_DT_GET(DT_NODELABEL(npm1300_ek_ldo1));

int main(void)
{
	printf("Hello World! %s\n", CONFIG_BOARD_TARGET);

	if (!device_is_ready(pmic)) {
		printk("Pmic device not ready.\n");
		return false;
	}

	if (!device_is_ready(pmic_gpio)) {
		printk("Pmic GPIO device not ready.\n");
		return false;
	}

	if (!device_is_ready(ldsw)) {
		printk("Load switch device not ready.\n");
		return false;
	}
	int err = gpio_pin_configure(pmic_gpio, 1, GPIO_INPUT | GPIO_ACTIVE_HIGH | GPIO_PULL_UP);
	if (err) {
		printk("gpio_pin_configure=%d\n", err);
	}

	printk(" We fine\n");

	return 0;
}
